from Register import RegisterKeys
import Editor
def FindCVSConflict():
	try:
		(dummy,pos)=Editor.GetSelection()
		pos2=Editor.Search("<<<<",pos)
		if(pos2==(-1,-1)):
			pos2=Editor.Search("<<<<",0)
		Editor.SetSelection(pos2)
	except:
		import traceback
		print "Exception caught trying to execute function:"
		traceback.print_exc()
def Init(kh):
	kh.BindKey("C-t c",FindCVSConflict)
	kh.BindKey("C-t C-c",FindCVSConflict)
RegisterKeys(Init,"")



